System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase To be added

Forms the basis for the strongly typed collections that are members of the namespace.

- Method
  System.String ``

  The default implementation of this method is intended to be overridden by a derived class in order to return the name of the key associated with the parameter. The default implementation returns null (Nothing in Visual Basic). This protected method is accessible only through this class or a derived class.

  Returns the name of the key associated with the value passed by reference.

  A null reference.

  An object for which to return the name of the key. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  This method is intended to be overridden to perform additional processes when clearing the contents of a derived collection. This protected method is accessible only through this class or a derived class.

  Clears the contents of the instance.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  The default implementation of this method is intended to be overridden by a derived class to perform some action when the specified element is inserted. For example, a derived class might need additional validation.

  This protected method is accessible only through this class or a derived class.

  Performs additional custom processes after inserting a new element into the .

  The zero-based index at which to insert the parameter. The element to insert into the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method is intended to be overridden to perform additional processes, such as validation, when an element is removed from the collection.

  This protected method is accessible only through this class or a derived class.

  Removes an element from the .

  The zero-based index of the parameter to be removed. The element to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The default implementation of this method is intended to be overridden to perform additional processes, such as validation, when setting the value of an element in the collection. This protected method is accessible only through this class or a derived class.

  Replaces one value with another within the .

  The zero-based index where the parameter can be found. The object to replace with the parameter. The object that replaces the parameter. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The default implementation of this method is intended to be overridden by a derived class to set a parent of an appropriate class, based upon the Web Services Description Language (WSDL) specification. The default implementation performs no action. This protected method is accessible only through this class or a derived class.

  Sets the parent object of the instance.

  The object for which to set the parent object. The object to set as the parent. 1.0.5000.0 2.0.0.0
- Property
  System.Collections.IDictionary a

  The default implementation returns a to associate the keys and values. This protected method is accessible only through this class or a derived class.

  Gets an interface that implements the association of the keys and values in the .

  1.0.5000.0
  2.0.0.0